com.jgoodies.common.internal

## Class Messages

- java.lang.Object
- - com.jgoodies.common.internal.Messages

-     public final class Messages
      extends Object

  Provides standardized messages for use with the Preconditions class and in exception messages.

  Note: This class is not part of the public JGoodies Common API. It is intended for implementation purposes only. The class's API may change at any time.

  Since:
    1.4
  Author:
    Karsten Lentzsch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `MUST_BE_TRIMMED`
    `static String` | `MUST_NOT_BE_BLANK`
    `static String` | `MUST_NOT_BE_NULL`
    `static String` | `USE_ELLIPSIS_NOT_THREE_DOTS`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MUST_NOT_BE_NULL

          public static final String MUST_NOT_BE_NULL

      See Also:
        Constant Field Values

    - #### MUST_NOT_BE_BLANK

          public static final String MUST_NOT_BE_BLANK

      See Also:
        Constant Field Values

    - #### MUST_BE_TRIMMED

          public static final String MUST_BE_TRIMMED

      See Also:
        Constant Field Values

    - #### USE_ELLIPSIS_NOT_THREE_DOTS

          public static final String USE_ELLIPSIS_NOT_THREE_DOTS

      See Also:
        Constant Field Values

Copyright © 2009-2013 JGoodies Software GmbH. All Rights Reserved.